summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMichael E Brown <michael_e_brown@dell.com>2007-12-03 11:40:55 -0600
committerMichael E Brown <michael_e_brown@dell.com>2007-12-03 11:40:55 -0600
commitd10267dc8fc50c0a924f4fa649b571c57eba7b0c (patch)
tree5bb3db3a1c0a580fc7c7ebefa7d0ff930c21cd4e
parent176a1af30856c5ce2ae59d891cf058b7161d8a55 (diff)
downloadmock-d10267dc8fc50c0a924f4fa649b571c57eba7b0c.tar.gz
mock-d10267dc8fc50c0a924f4fa649b571c57eba7b0c.tar.xz
mock-d10267dc8fc50c0a924f4fa649b571c57eba7b0c.zip
couple more sanity checks in unit test code.
-rwxr-xr-xdocs/releasetests.sh25
1 files changed, 21 insertions, 4 deletions
diff --git a/docs/releasetests.sh b/docs/releasetests.sh
index 1e2f173..07d97d0 100755
--- a/docs/releasetests.sh
+++ b/docs/releasetests.sh
@@ -35,11 +35,19 @@ CHROOT=/var/lib/mock/${testConfig}-unittest/root
#
time $MOCKCMD --init
time $MOCKCMD --installdeps mock-*.src.rpm
+if [ ! -e $CHROOT/usr/include/python* ]; then
+ echo "installdeps test FAILED. could not find /usr/include/python*"
+ exit 1
+fi
#
# Test offline build
#
time $MOCKCMD --offline --rebuild mock-*.src.rpm
+if [ ! -e mock-unit-test/mock-*.x86_64.rpm ]; then
+ echo "rebuild test FAILED. could not find mock-unit-test/mock-*.x86_64.rpm"
+ exit 1
+fi
#
# Test orphanskill feature
@@ -60,10 +68,17 @@ fi
# test init/clean
#
time $MOCKCMD --offline --clean
+if [ -e $CHROOT ]; then
+ echo "clean test FAILED. still found $CHROOT dir."
+ exit 1
+fi
+
time $MOCKCMD --offline --init
time $MOCKCMD --offline --install ccache
-[ -e $CHROOT/usr/bin/ccache ] || echo "init/clean test FAILED. ccache not found."
-[ -e $CHROOT/usr/bin/ccache ] || exit 1
+if [ ! -e $CHROOT/usr/bin/ccache ]; then
+ echo "init/clean test FAILED. ccache not found."
+ exit 1
+exit
#
# test old-style cmdline options
@@ -71,8 +86,10 @@ time $MOCKCMD --offline --install ccache
time $MOCKCMD --offline clean
time $MOCKCMD --offline init
time $MOCKCMD --offline install ccache
-[ -e $CHROOT/usr/bin/ccache ] || echo "init/clean test FAILED. ccache not found."
-[ -e $CHROOT/usr/bin/ccache ] || exit 1
+if [ ! -e $CHROOT/usr/bin/ccache ]; then
+ echo "init/clean test FAILED. ccache not found."
+ exit 1
+exit
#
# Test build all configs we ship.